PHP 5.6.29 Released

XMLReader::open

(PHP 5 >= 5.1.0, PHP 7)

XMLReader::openURI angeben, die auf XML-Inhalt verweist, der geparst werden soll

Beschreibung

public bool XMLReader::open ( string $URI [, string $encoding [, int $options = 0 ]] )

URI angeben, die auf XML-Inhalt verweist, der geparst werden soll.

Parameter-Liste

URI

URI die auf den XML-Inhalt verweist.

encoding

Dokumentkodierung oder NULL.

options

Bitmaske bestehend aus LIBXML_* Konstanten.

Rückgabewerte

Gibt bei Erfolg TRUE zurück. Im Fehlerfall wird FALSE zurückgegeben. Wenn die Methode statisch aufgerufen wird, wird eine XMLReader Instanz zurückgegeben oder im Fehlerfall FALSE.

Fehler/Exceptions

Diese Methode kann statisch aufgerufen werden, dies wird aber einen E_STRICT-Fehler hervorrufen.

Changelog

Version Beschreibung
5.2.0 encoding und options wurden ergänzt.

Siehe auch

add a note add a note

User Contributed Notes 4 notes

up
1
alvaro at demogracia dot com
2 years ago
XML can optionally declare its own encoding:

    <?xml version="1.0" encoding="UTF-8"?>

You can use the $encoding parameter to provide this information (if missing) or override it (if wrong).

Output is always UTF-8 (that's how libxml works).
up
0
dave at sophoservices dot com
6 days ago
When using the XmlReader to read local XML files, remember it the open function requests a URI. Add 'file://' to the front of the FULL path to the XML. Otherwise you may get:

PHP Warning:  XMLReader::open(): Unable to open source data in ...
up
0
mood(_a_)twolate.com
1 month ago
For some reasons, the open() method keep throwing me this error :

PHP Warning:  XMLReader::open(): Unable to open source data in /var/www/nota/ethamap/fat_xml.php

It doesn't make sense as the xml file target hosted on my server is perfectly reachable. Adding this line before invoking open() fixed it :

libxml_disable_entity_loader(false);

Please view https://bugs.php.net/bug.php?id=62577
It is somehow related.
up
-1
crungmungus at gmail dot com
8 years ago
Windows users remember to enable php_openssl.dll in your php.ini if you want to be able to use this function (and others) with a HTTPS URL.
To Top